## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionParseImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionAtomicImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionFunctionImpl
                              org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionImpl
                                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionParseImpl

All Implemented Interfaces:
  ValueExpression, QueryValueExpression, SQLQueryObject, ValueExpressionAtomic, ValueExpressionFunction, SQLObject, XMLValueFunction, XMLValueFunctionParse

    public class XMLValueFunctionParseImpl

extends XMLValueFunctionImpl
implements XMLValueFunctionParse

An implementation of the model object 'XML Value Function Parse'.

The following features are implemented:

- `Content Option`
- `Whitespace Handling Option`
- `Parse Content`

Method Summary
`NotificationChain` `basicSetParseContent(XMLValueFunctionParseContent newParseContent, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`XMLContentType` `getContentOption()`
`XMLValueFunctionParseContent` `getParseContent()`
`XMLWhitespaceHandlingType` `getWhitespaceHandlingOption()`
`void` `setContentOption(XMLContentType newContentOption)`
`void` `setParseContent(XMLValueFunctionParseContent newParseContent)`
`void` `setWhitespaceHandlingOption(XMLWhitespaceHandlingType newWhitespaceHandlingOption)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionFunctionImpl
`basicGetFunction, getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

`basicSetBasicLeft, basicSetBasicRight, basicSetBetweenLeft, basicSetBetweenRight1, basicSetBetweenRight2, basicSetDataType, basicSetGroupingExpr, basicSetInValueListLeft, basicSetInValueListRight, basicSetInValueRowSelectLeft, basicSetInValueSelectLeft, basicSetLikeEscape, basicSetLikeMatching, basicSetLikePattern, basicSetNest, basicSetOrderByValueExpr, basicSetPredicateNull, basicSetQuantifiedRowSelectLeft, basicSetQuantifiedValueSelectLeft, basicSetResultColumn, basicSetUpdateSourceExprList, basicSetValueExprCaseElse, basicSetValueExprCaseSearchContent, basicSetValueExprCaseSimple, basicSetValueExprCaseSimpleContentResult, basicSetValueExprCaseSimpleContentWhen, basicSetValueExprCast, basicSetValueExprCombinedLeft, basicSetValueExprCombinedRight, basicSetValueExprFunction, basicSetValueExprLabeledDuration, basicSetValuesRow, eBasicRemoveFromContainerFeature, getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getSQL, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentOption

    public XMLContentType getContentOption()

  Specified by:
    `getContentOption` in interface `XMLValueFunctionParse`
  Returns:
    the value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `XMLValueFunctionParse.setContentOption(XMLContentType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_ContentOption()`

### setContentOption

    public void setContentOption(XMLContentType newContentOption)

  Specified by:
    `setContentOption` in interface `XMLValueFunctionParse`
  Parameters:
    `newContentOption` - the new value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `XMLValueFunctionParse.getContentOption()`

### getWhitespaceHandlingOption

    public XMLWhitespaceHandlingType getWhitespaceHandlingOption()

  Specified by:
    `getWhitespaceHandlingOption` in interface `XMLValueFunctionParse`
  Returns:
    the value of the 'Whitespace Handling Option' attribute.
  See Also:
    `XMLWhitespaceHandlingType`, `XMLValueFunctionParse.setWhitespaceHandlingOption(XMLWhitespaceHandlingType)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_WhitespaceHandlingOption()`

### setWhitespaceHandlingOption

    public void setWhitespaceHandlingOption(XMLWhitespaceHandlingType newWhitespaceHandlingOption)

  Specified by:
    `setWhitespaceHandlingOption` in interface `XMLValueFunctionParse`
  Parameters:
    `newWhitespaceHandlingOption` - the new value of the 'Whitespace Handling Option' attribute.
  See Also:
    `XMLWhitespaceHandlingType`, `XMLValueFunctionParse.getWhitespaceHandlingOption()`

### getParseContent

    public XMLValueFunctionParseContent getParseContent()

  Specified by:
    `getParseContent` in interface `XMLValueFunctionParse`
  Returns:
    the value of the 'Parse Content' containment reference.
  See Also:
    `XMLValueFunctionParse.setParseContent(XMLValueFunctionParseContent)`, `SQLXMLQueryModelPackage.getXMLValueFunctionParse_ParseContent()`, `XMLValueFunctionParseContent.getValueFunctionParse()`

### basicSetParseContent

    public NotificationChain basicSetParseContent(XMLValueFunctionParseContent newParseContent,
                                                  NotificationChain msgs)

### setParseContent

    public void setParseContent(XMLValueFunctionParseContent newParseContent)

  Specified by:
    `setParseContent` in interface `XMLValueFunctionParse`
  Parameters:
    `newParseContent` - the new value of the 'Parse Content' containment reference.
  See Also:
    `XMLValueFunctionParse.getParseContent()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `ValueExpressionFunctionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ValueExpressionFunctionImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ValueExpressionFunctionImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ValueExpressionFunctionImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ValueExpressionFunctionImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ValueExpressionFunctionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueExpressionFunctionImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.